Update an account
curl --request PUT \
--url https://api.rrc.dev.finventi.com/reports/crs/v1/submissions/{submissionId}/accounts/{accountNumber} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"accountNumber": "LT601010012345678901",
"accountNumberType": "IBAN",
"balance": 16980.1,
"currency": "EUR",
"accountType": "DEPOSITORY_ACCOUNT",
"openingType": "PREEXISTING_ACCOUNT",
"accountHolder": {
"selfCertification": "PROVIDED",
"organisation": {
"type": "REPORTABLE_PERSON",
"name": "UAB Inventi",
"nameType": "LEGAL",
"residenceCountryCodes": [
"LV"
],
"tins": [
{
"number": "39001011234",
"issuedBy": "LV"
}
],
"addresses": [
{
"addressFree": "Riga, Riga st. 1",
"countryCode": "LV",
"type": "REGISTRATION"
}
]
}
},
"payments": [
{
"type": "INTEREST",
"amount": 205.3,
"currency": "EUR"
}
]
}
'import requests
url = "https://api.rrc.dev.finventi.com/reports/crs/v1/submissions/{submissionId}/accounts/{accountNumber}"
payload = {
"accountNumber": "LT601010012345678901",
"accountNumberType": "IBAN",
"balance": 16980.1,
"currency": "EUR",
"accountType": "DEPOSITORY_ACCOUNT",
"openingType": "PREEXISTING_ACCOUNT",
"accountHolder": {
"selfCertification": "PROVIDED",
"organisation": {
"type": "REPORTABLE_PERSON",
"name": "UAB Inventi",
"nameType": "LEGAL",
"residenceCountryCodes": ["LV"],
"tins": [
{
"number": "39001011234",
"issuedBy": "LV"
}
],
"addresses": [
{
"addressFree": "Riga, Riga st. 1",
"countryCode": "LV",
"type": "REGISTRATION"
}
]
}
},
"payments": [
{
"type": "INTEREST",
"amount": 205.3,
"currency": "EUR"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
accountNumber: 'LT601010012345678901',
accountNumberType: 'IBAN',
balance: 16980.1,
currency: 'EUR',
accountType: 'DEPOSITORY_ACCOUNT',
openingType: 'PREEXISTING_ACCOUNT',
accountHolder: {
selfCertification: 'PROVIDED',
organisation: {
type: 'REPORTABLE_PERSON',
name: 'UAB Inventi',
nameType: 'LEGAL',
residenceCountryCodes: ['LV'],
tins: [{number: '39001011234', issuedBy: 'LV'}],
addresses: [{addressFree: 'Riga, Riga st. 1', countryCode: 'LV', type: 'REGISTRATION'}]
}
},
payments: [{type: 'INTEREST', amount: 205.3, currency: 'EUR'}]
})
};
fetch('https://api.rrc.dev.finventi.com/reports/crs/v1/submissions/{submissionId}/accounts/{accountNumber}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.rrc.dev.finventi.com/reports/crs/v1/submissions/{submissionId}/accounts/{accountNumber}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'accountNumber' => 'LT601010012345678901',
'accountNumberType' => 'IBAN',
'balance' => 16980.1,
'currency' => 'EUR',
'accountType' => 'DEPOSITORY_ACCOUNT',
'openingType' => 'PREEXISTING_ACCOUNT',
'accountHolder' => [
'selfCertification' => 'PROVIDED',
'organisation' => [
'type' => 'REPORTABLE_PERSON',
'name' => 'UAB Inventi',
'nameType' => 'LEGAL',
'residenceCountryCodes' => [
'LV'
],
'tins' => [
[
'number' => '39001011234',
'issuedBy' => 'LV'
]
],
'addresses' => [
[
'addressFree' => 'Riga, Riga st. 1',
'countryCode' => 'LV',
'type' => 'REGISTRATION'
]
]
]
],
'payments' => [
[
'type' => 'INTEREST',
'amount' => 205.3,
'currency' => 'EUR'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.rrc.dev.finventi.com/reports/crs/v1/submissions/{submissionId}/accounts/{accountNumber}"
payload := strings.NewReader("{\n \"accountNumber\": \"LT601010012345678901\",\n \"accountNumberType\": \"IBAN\",\n \"balance\": 16980.1,\n \"currency\": \"EUR\",\n \"accountType\": \"DEPOSITORY_ACCOUNT\",\n \"openingType\": \"PREEXISTING_ACCOUNT\",\n \"accountHolder\": {\n \"selfCertification\": \"PROVIDED\",\n \"organisation\": {\n \"type\": \"REPORTABLE_PERSON\",\n \"name\": \"UAB Inventi\",\n \"nameType\": \"LEGAL\",\n \"residenceCountryCodes\": [\n \"LV\"\n ],\n \"tins\": [\n {\n \"number\": \"39001011234\",\n \"issuedBy\": \"LV\"\n }\n ],\n \"addresses\": [\n {\n \"addressFree\": \"Riga, Riga st. 1\",\n \"countryCode\": \"LV\",\n \"type\": \"REGISTRATION\"\n }\n ]\n }\n },\n \"payments\": [\n {\n \"type\": \"INTEREST\",\n \"amount\": 205.3,\n \"currency\": \"EUR\"\n }\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.rrc.dev.finventi.com/reports/crs/v1/submissions/{submissionId}/accounts/{accountNumber}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"accountNumber\": \"LT601010012345678901\",\n \"accountNumberType\": \"IBAN\",\n \"balance\": 16980.1,\n \"currency\": \"EUR\",\n \"accountType\": \"DEPOSITORY_ACCOUNT\",\n \"openingType\": \"PREEXISTING_ACCOUNT\",\n \"accountHolder\": {\n \"selfCertification\": \"PROVIDED\",\n \"organisation\": {\n \"type\": \"REPORTABLE_PERSON\",\n \"name\": \"UAB Inventi\",\n \"nameType\": \"LEGAL\",\n \"residenceCountryCodes\": [\n \"LV\"\n ],\n \"tins\": [\n {\n \"number\": \"39001011234\",\n \"issuedBy\": \"LV\"\n }\n ],\n \"addresses\": [\n {\n \"addressFree\": \"Riga, Riga st. 1\",\n \"countryCode\": \"LV\",\n \"type\": \"REGISTRATION\"\n }\n ]\n }\n },\n \"payments\": [\n {\n \"type\": \"INTEREST\",\n \"amount\": 205.3,\n \"currency\": \"EUR\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.rrc.dev.finventi.com/reports/crs/v1/submissions/{submissionId}/accounts/{accountNumber}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"accountNumber\": \"LT601010012345678901\",\n \"accountNumberType\": \"IBAN\",\n \"balance\": 16980.1,\n \"currency\": \"EUR\",\n \"accountType\": \"DEPOSITORY_ACCOUNT\",\n \"openingType\": \"PREEXISTING_ACCOUNT\",\n \"accountHolder\": {\n \"selfCertification\": \"PROVIDED\",\n \"organisation\": {\n \"type\": \"REPORTABLE_PERSON\",\n \"name\": \"UAB Inventi\",\n \"nameType\": \"LEGAL\",\n \"residenceCountryCodes\": [\n \"LV\"\n ],\n \"tins\": [\n {\n \"number\": \"39001011234\",\n \"issuedBy\": \"LV\"\n }\n ],\n \"addresses\": [\n {\n \"addressFree\": \"Riga, Riga st. 1\",\n \"countryCode\": \"LV\",\n \"type\": \"REGISTRATION\"\n }\n ]\n }\n },\n \"payments\": [\n {\n \"type\": \"INTEREST\",\n \"amount\": 205.3,\n \"currency\": \"EUR\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"status": "SUCCESS",
"accountNumber": "LT601010012345678901"
}{
"status": "FAILED",
"accountNumber": "LT601010012345678901",
"errors": [
{
"fields": [
"accountNumber"
],
"message": "Account 'LT601010012345678901' has nothing reported for 2025 to correct; add it with POST"
}
]
}Accounts
Update an account
Amend an account by its account number.
PUT
/
reports
/
crs
/
v1
/
submissions
/
{submissionId}
/
accounts
/
{accountNumber}
Update an account
curl --request PUT \
--url https://api.rrc.dev.finventi.com/reports/crs/v1/submissions/{submissionId}/accounts/{accountNumber} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"accountNumber": "LT601010012345678901",
"accountNumberType": "IBAN",
"balance": 16980.1,
"currency": "EUR",
"accountType": "DEPOSITORY_ACCOUNT",
"openingType": "PREEXISTING_ACCOUNT",
"accountHolder": {
"selfCertification": "PROVIDED",
"organisation": {
"type": "REPORTABLE_PERSON",
"name": "UAB Inventi",
"nameType": "LEGAL",
"residenceCountryCodes": [
"LV"
],
"tins": [
{
"number": "39001011234",
"issuedBy": "LV"
}
],
"addresses": [
{
"addressFree": "Riga, Riga st. 1",
"countryCode": "LV",
"type": "REGISTRATION"
}
]
}
},
"payments": [
{
"type": "INTEREST",
"amount": 205.3,
"currency": "EUR"
}
]
}
'import requests
url = "https://api.rrc.dev.finventi.com/reports/crs/v1/submissions/{submissionId}/accounts/{accountNumber}"
payload = {
"accountNumber": "LT601010012345678901",
"accountNumberType": "IBAN",
"balance": 16980.1,
"currency": "EUR",
"accountType": "DEPOSITORY_ACCOUNT",
"openingType": "PREEXISTING_ACCOUNT",
"accountHolder": {
"selfCertification": "PROVIDED",
"organisation": {
"type": "REPORTABLE_PERSON",
"name": "UAB Inventi",
"nameType": "LEGAL",
"residenceCountryCodes": ["LV"],
"tins": [
{
"number": "39001011234",
"issuedBy": "LV"
}
],
"addresses": [
{
"addressFree": "Riga, Riga st. 1",
"countryCode": "LV",
"type": "REGISTRATION"
}
]
}
},
"payments": [
{
"type": "INTEREST",
"amount": 205.3,
"currency": "EUR"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
accountNumber: 'LT601010012345678901',
accountNumberType: 'IBAN',
balance: 16980.1,
currency: 'EUR',
accountType: 'DEPOSITORY_ACCOUNT',
openingType: 'PREEXISTING_ACCOUNT',
accountHolder: {
selfCertification: 'PROVIDED',
organisation: {
type: 'REPORTABLE_PERSON',
name: 'UAB Inventi',
nameType: 'LEGAL',
residenceCountryCodes: ['LV'],
tins: [{number: '39001011234', issuedBy: 'LV'}],
addresses: [{addressFree: 'Riga, Riga st. 1', countryCode: 'LV', type: 'REGISTRATION'}]
}
},
payments: [{type: 'INTEREST', amount: 205.3, currency: 'EUR'}]
})
};
fetch('https://api.rrc.dev.finventi.com/reports/crs/v1/submissions/{submissionId}/accounts/{accountNumber}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.rrc.dev.finventi.com/reports/crs/v1/submissions/{submissionId}/accounts/{accountNumber}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'accountNumber' => 'LT601010012345678901',
'accountNumberType' => 'IBAN',
'balance' => 16980.1,
'currency' => 'EUR',
'accountType' => 'DEPOSITORY_ACCOUNT',
'openingType' => 'PREEXISTING_ACCOUNT',
'accountHolder' => [
'selfCertification' => 'PROVIDED',
'organisation' => [
'type' => 'REPORTABLE_PERSON',
'name' => 'UAB Inventi',
'nameType' => 'LEGAL',
'residenceCountryCodes' => [
'LV'
],
'tins' => [
[
'number' => '39001011234',
'issuedBy' => 'LV'
]
],
'addresses' => [
[
'addressFree' => 'Riga, Riga st. 1',
'countryCode' => 'LV',
'type' => 'REGISTRATION'
]
]
]
],
'payments' => [
[
'type' => 'INTEREST',
'amount' => 205.3,
'currency' => 'EUR'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.rrc.dev.finventi.com/reports/crs/v1/submissions/{submissionId}/accounts/{accountNumber}"
payload := strings.NewReader("{\n \"accountNumber\": \"LT601010012345678901\",\n \"accountNumberType\": \"IBAN\",\n \"balance\": 16980.1,\n \"currency\": \"EUR\",\n \"accountType\": \"DEPOSITORY_ACCOUNT\",\n \"openingType\": \"PREEXISTING_ACCOUNT\",\n \"accountHolder\": {\n \"selfCertification\": \"PROVIDED\",\n \"organisation\": {\n \"type\": \"REPORTABLE_PERSON\",\n \"name\": \"UAB Inventi\",\n \"nameType\": \"LEGAL\",\n \"residenceCountryCodes\": [\n \"LV\"\n ],\n \"tins\": [\n {\n \"number\": \"39001011234\",\n \"issuedBy\": \"LV\"\n }\n ],\n \"addresses\": [\n {\n \"addressFree\": \"Riga, Riga st. 1\",\n \"countryCode\": \"LV\",\n \"type\": \"REGISTRATION\"\n }\n ]\n }\n },\n \"payments\": [\n {\n \"type\": \"INTEREST\",\n \"amount\": 205.3,\n \"currency\": \"EUR\"\n }\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.rrc.dev.finventi.com/reports/crs/v1/submissions/{submissionId}/accounts/{accountNumber}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"accountNumber\": \"LT601010012345678901\",\n \"accountNumberType\": \"IBAN\",\n \"balance\": 16980.1,\n \"currency\": \"EUR\",\n \"accountType\": \"DEPOSITORY_ACCOUNT\",\n \"openingType\": \"PREEXISTING_ACCOUNT\",\n \"accountHolder\": {\n \"selfCertification\": \"PROVIDED\",\n \"organisation\": {\n \"type\": \"REPORTABLE_PERSON\",\n \"name\": \"UAB Inventi\",\n \"nameType\": \"LEGAL\",\n \"residenceCountryCodes\": [\n \"LV\"\n ],\n \"tins\": [\n {\n \"number\": \"39001011234\",\n \"issuedBy\": \"LV\"\n }\n ],\n \"addresses\": [\n {\n \"addressFree\": \"Riga, Riga st. 1\",\n \"countryCode\": \"LV\",\n \"type\": \"REGISTRATION\"\n }\n ]\n }\n },\n \"payments\": [\n {\n \"type\": \"INTEREST\",\n \"amount\": 205.3,\n \"currency\": \"EUR\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.rrc.dev.finventi.com/reports/crs/v1/submissions/{submissionId}/accounts/{accountNumber}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"accountNumber\": \"LT601010012345678901\",\n \"accountNumberType\": \"IBAN\",\n \"balance\": 16980.1,\n \"currency\": \"EUR\",\n \"accountType\": \"DEPOSITORY_ACCOUNT\",\n \"openingType\": \"PREEXISTING_ACCOUNT\",\n \"accountHolder\": {\n \"selfCertification\": \"PROVIDED\",\n \"organisation\": {\n \"type\": \"REPORTABLE_PERSON\",\n \"name\": \"UAB Inventi\",\n \"nameType\": \"LEGAL\",\n \"residenceCountryCodes\": [\n \"LV\"\n ],\n \"tins\": [\n {\n \"number\": \"39001011234\",\n \"issuedBy\": \"LV\"\n }\n ],\n \"addresses\": [\n {\n \"addressFree\": \"Riga, Riga st. 1\",\n \"countryCode\": \"LV\",\n \"type\": \"REGISTRATION\"\n }\n ]\n }\n },\n \"payments\": [\n {\n \"type\": \"INTEREST\",\n \"amount\": 205.3,\n \"currency\": \"EUR\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"status": "SUCCESS",
"accountNumber": "LT601010012345678901"
}{
"status": "FAILED",
"accountNumber": "LT601010012345678901",
"errors": [
{
"fields": [
"accountNumber"
],
"message": "Account 'LT601010012345678901' has nothing reported for 2025 to correct; add it with POST"
}
]
}In a submission this edits the not-yet-reported account in place. In a correction it amends the already-reported account; amending an account the tax authority has never seen is rejected, so add new accounts with POST instead.
Authorizations
Body
application/json
A reportable financial account. Push the account as it stands, with its holder and any controlling persons attached to it. Each account you push becomes exactly one account report.
Response
Account updated
Result of pushing, updating or deleting a single account
Last modified on August 18, 2026